API Reference

Al-Waseet

Al-Waseet delivery provider integration.

10 endpoints· Auth: API Key
get/api/v1/store/integrations/al-waseet/cities API Key

Get cities

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/al-waseet/cities" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
get/api/v1/store/integrations/al-waseet/invoices API Key

Get invoices

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/al-waseet/invoices" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
get/api/v1/store/integrations/al-waseet/invoices/{invoiceId} API Key

Get invoiceId

Path parameters

invoiceIdrequired
string

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/al-waseet/invoices/{invoiceId}" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/al-waseet/invoices/{invoiceId}/receive API Key

Create receive

Path parameters

invoiceIdrequired
string

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/al-waseet/invoices/{invoiceId}/receive" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/al-waseet/orders API Key

Get orders

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/al-waseet/orders" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
patch/api/v1/store/integrations/al-waseet/orders/{qrId} API Key

Update qrId

Path parameters

qrIdrequired
string

Request body

application/json
{
  "clientName": "string",
  "clientMobile": "string",
  "clientMobile2": "string",
  "cityId": 0,
  "regionId": 0,
  "location": "string",
  "typeName": "string",
  "itemsNumber": 0,
  "price": 0,
  "packageSize": 0,
  "replacement": 0,
  "merchantNotes": "string"
}
clientName
string
clientMobile
string
clientMobile2
string
cityId
integer (int32)
regionId
integer (int32)
location
string
typeName
string
itemsNumber
integer (int32)
price
integer (int32)
packageSize
integer (int32)
replacement
integer (int32)
merchantNotes
string

Responses

200Success
cURL
curl -X PATCH "https://stagging-api.sendyiq.com/api/v1/store/integrations/al-waseet/orders/{qrId}" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "clientName": "string",
  "clientMobile": "string",
  "clientMobile2": "string",
  "cityId": 0,
  "regionId": 0,
  "location": "string",
  "typeName": "string",
  "itemsNumber": 0,
  "price": 0,
  "packageSize": 0,
  "replacement": 0,
  "merchantNotes": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/al-waseet/orders/by-ids API Key

Create by-ids

Request body

application/json
{
  "ids": [
    "string"
  ]
}
ids
string[]

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/al-waseet/orders/by-ids" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "ids": [
    "string"
  ]
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/al-waseet/package-sizes API Key

Get package-sizes

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/al-waseet/package-sizes" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
get/api/v1/store/integrations/al-waseet/regions API Key

Get regions

Query parameters

cityId
integer (int32)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/al-waseet/regions" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Query parameters

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/al-waseet/statuses API Key

Get statuses

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/al-waseet/statuses" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu